<!DOCTYPE html>
<html lang="en">
<head>
    <meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=0"/>
    <meta charset="utf-8"/>
    <title>API Documentation &raquo;\PhpOffice\PhpSpreadsheet\Chart\Layout</title>
    <meta name="author" content=""/>
    <meta name="description" content=""/>        <link href="../css/template.css" rel="stylesheet" media="all"/>        <!--[if lt IE 9]>
        <script src="https://html5shim.googlecode.com/svn/trunk/html5.js" type="text/javascript"></script>
        <![endif]-->
        <script src="../js/jquery-1.7.1.min.js" type="text/javascript"></script>
        <script src="../js/jquery-ui-1.8.2.custom.min.js" type="text/javascript"></script>
        <script src="../js/jquery.mousewheel.min.js" type="text/javascript"></script>
        <script src="../js/bootstrap.js" type="text/javascript"></script>
        <script src="../js/template.js" type="text/javascript"></script>
        <script src="../js/prettify/prettify.min.js" type="text/javascript"></script>        <link rel="shortcut icon" href="../img/favicon.ico"/>
        <link rel="apple-touch-icon" href="../img/apple-touch-icon.png"/>
        <link rel="apple-touch-icon" sizes="72x72" href="../img/apple-touch-icon-72x72.png"/>
        <link rel="apple-touch-icon" sizes="114x114" href="../img/apple-touch-icon-114x114.png"/></head>
<body>    <div class="navbar navbar-fixed-top">
        <div class="navbar-inner">
            <div class="container">
                <a class="btn btn-navbar" data-toggle="collapse" data-target=".nav-collapse">
                    <span class="icon-bar"></span> <span class="icon-bar"></span>
                    <span class="icon-bar"></span> </a>
                <a class="brand" href="../index.html">API Documentation</a>

                <div class="nav-collapse">
                    <ul class="nav">
                        <li class="dropdown">
                            <a href="#api" class="dropdown-toggle" data-toggle="dropdown">
                                API Documentation <b class="caret"></b>
                            </a>
                            <ul class="dropdown-menu">                                    <li><a>Namespaces</a></li>                                    <li><a href="../namespaces/task_23.html">task_23</a></li>                                    <li><a href="../namespaces/task_18.html">task_18</a></li>                                    <li><a href="../namespaces/task_22.html">task_22</a></li>                                    <li><a href="../namespaces/Composer.html">Composer</a></li>                                    <li><a href="../namespaces/Matrix.html">Matrix</a></li>                                    <li><a href="../namespaces/Complex.html">Complex</a></li>                                    <li><a href="../namespaces/Psr.html">Psr</a></li>                                    <li><a href="../namespaces/PhpOffice.html">PhpOffice</a></li>                                    <li><a href="../namespaces/Samples.html">Samples</a></li>                                    <li><a href="../namespaces/task_21.html">task_21</a></li>                                    <li><a href="../namespaces/task_24.html">task_24</a></li>                                    <li><a href="../namespaces/task_20.html">task_20</a></li>                                    <li><a href="../namespaces/task_17.html">task_17</a></li>                                    <li><a href="../namespaces/task_19.html">task_19</a></li>                            </ul>
                        </li>
                        <li class="dropdown" id="charts-menu">
                            <a href="#charts" class="dropdown-toggle" data-toggle="dropdown">
                                Charts <b class="caret"></b>
                            </a>
                            <ul class="dropdown-menu">
                                <li>
                                    <a href="../graph_class.html">
                                        <i class="icon-list-alt"></i>&#160;Class hierarchy diagram
                                    </a>
                                </li>
                            </ul>
                        </li>
                        <li class="dropdown" id="reports-menu">
                            <a href="#reports" class="dropdown-toggle" data-toggle="dropdown">
                                Reports <b class="caret"></b>
                            </a>
                            <ul class="dropdown-menu">
                                <li>
                                    <a href="../errors.html">
                                        <i class="icon-list-alt"></i>&#160;Errors
                                    </a>
                                </li>
                                <li>
                                    <a href="../markers.html">
                                        <i class="icon-list-alt"></i>&#160;Markers
                                    </a>
                                </li>
                                <li>
                                    <a href="../deprecated.html">
                                        <i class="icon-list-alt"></i>&#160;Deprecated
                                    </a>
                                </li>
                            </ul>
                        </li>
                    </ul>
                </div>
            </div>
        </div>
        <div class="go_to_top">
            <a href="#___" style="color: inherit">Back to top&#160;&#160;<i class="icon-upload icon-white"></i></a>
        </div>
    </div>
    <div id="___" class="container">
        <noscript>
            <div class="alert alert-warning">
                Javascript is disabled; several features are only available if Javascript is enabled.
            </div>
        </noscript>    <style>
        .deprecated h2 {
            text-decoration: line-through;
        }
    </style>
    <div class="row">
        <div class="span4">    <div class="btn-group view pull-right" data-toggle="buttons-radio">
        <button class="btn details" title="Show descriptions and method names"><i class="icon-list"></i></button>
        <button class="btn simple" title="Show only method names"><i class="icon-align-justify"></i></button>
    </div>
    <div class="btn-group visibility" data-toggle="buttons-checkbox">
        <button class="btn public active" title="Show public elements">Public</button>
        <button class="btn protected" title="Show protected elements">Protected</button>
        <button class="btn private" title="Show private elements">Private</button>
        <button class="btn inherited active" title="Show inherited elements">Inherited</button>
    </div>    <ul class="side-nav nav nav-list">
        <li class="nav-header">
            <i class="icon-custom icon-method"></i> Methods
            <ul>    <li class="methodpublic">
        <a href="#method___construct" title="__construct ::Create a new Layout.">
            <span class="description">Create a new Layout.</span><pre>__construct</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_getHeight" title="getHeight ::Get Height.">
            <span class="description">Get Height.</span><pre>getHeight</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_getLayoutTarget" title="getLayoutTarget ::Get Layout Target.">
            <span class="description">Get Layout Target.</span><pre>getLayoutTarget</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_getShowBubbleSize" title="getShowBubbleSize ::Get show bubble size.">
            <span class="description">Get show bubble size.</span><pre>getShowBubbleSize</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_getShowCatName" title="getShowCatName ::Get show category name.">
            <span class="description">Get show category name.</span><pre>getShowCatName</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_getShowLeaderLines" title="getShowLeaderLines ::Get show leader lines.">
            <span class="description">Get show leader lines.</span><pre>getShowLeaderLines</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_getShowLegendKey" title="getShowLegendKey ::Get show legend key.">
            <span class="description">Get show legend key.</span><pre>getShowLegendKey</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_getShowPercent" title="getShowPercent ::Get show percentage.">
            <span class="description">Get show percentage.</span><pre>getShowPercent</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_getShowSerName" title="getShowSerName ::Get show data series name.">
            <span class="description">Get show data series name.</span><pre>getShowSerName</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_getShowVal" title="getShowVal ::Get show value.">
            <span class="description">Get show value.</span><pre>getShowVal</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_getWidth" title="getWidth ::Get Width.">
            <span class="description">Get Width.</span><pre>getWidth</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_getXMode" title="getXMode ::Get X-Mode.">
            <span class="description">Get X-Mode.</span><pre>getXMode</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_getXPosition" title="getXPosition ::Get X-Position.">
            <span class="description">Get X-Position.</span><pre>getXPosition</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_getYMode" title="getYMode ::Get Y-Mode.">
            <span class="description">Get Y-Mode.</span><pre>getYMode</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_getYPosition" title="getYPosition ::Get Y-Position.">
            <span class="description">Get Y-Position.</span><pre>getYPosition</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_setHeight" title="setHeight ::Set Height.">
            <span class="description">Set Height.</span><pre>setHeight</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_setLayoutTarget" title="setLayoutTarget ::Set Layout Target.">
            <span class="description">Set Layout Target.</span><pre>setLayoutTarget</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_setShowBubbleSize" title="setShowBubbleSize ::Set show bubble size
Specifies that the bubble size should be shown in data labels.">
            <span class="description">Set show bubble size
Specifies that the bubble size should be shown in data labels.</span><pre>setShowBubbleSize</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_setShowCatName" title="setShowCatName ::Set show cat name
Specifies that the category name should be shown in data labels.">
            <span class="description">Set show cat name
Specifies that the category name should be shown in data labels.</span><pre>setShowCatName</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_setShowLeaderLines" title="setShowLeaderLines ::Set show leader lines
Specifies that leader lines should be shown in data labels.">
            <span class="description">Set show leader lines
Specifies that leader lines should be shown in data labels.</span><pre>setShowLeaderLines</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_setShowLegendKey" title="setShowLegendKey ::Set show legend key
Specifies that legend keys should be shown in data labels.">
            <span class="description">Set show legend key
Specifies that legend keys should be shown in data labels.</span><pre>setShowLegendKey</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_setShowPercent" title="setShowPercent ::Set show percentage
Specifies that the percentage should be shown in data labels.">
            <span class="description">Set show percentage
Specifies that the percentage should be shown in data labels.</span><pre>setShowPercent</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_setShowSerName" title="setShowSerName ::Set show ser name
Specifies that the series name should be shown in data labels.">
            <span class="description">Set show ser name
Specifies that the series name should be shown in data labels.</span><pre>setShowSerName</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_setShowVal" title="setShowVal ::Set show val
Specifies that the value should be shown in data labels.">
            <span class="description">Set show val
Specifies that the value should be shown in data labels.</span><pre>setShowVal</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_setWidth" title="setWidth ::Set Width.">
            <span class="description">Set Width.</span><pre>setWidth</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_setXMode" title="setXMode ::Set X-Mode.">
            <span class="description">Set X-Mode.</span><pre>setXMode</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_setXPosition" title="setXPosition ::Set X-Position.">
            <span class="description">Set X-Position.</span><pre>setXPosition</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_setYMode" title="setYMode ::Set Y-Mode.">
            <span class="description">Set Y-Mode.</span><pre>setYMode</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_setYPosition" title="setYPosition ::Set Y-Position.">
            <span class="description">Set Y-Position.</span><pre>setYPosition</pre>
        </a>
    </li>            </ul>
        </li>
        <li class="nav-header protected">» Protected
            <ul>            </ul>
        </li>
        <li class="nav-header private">» Private
            <ul>            </ul>
        </li>
        <li class="nav-header">
            <i class="icon-custom icon-constant"></i> Constants
            <ul>            </ul>
        </li>
    </ul>
        </div>

        <div class="span8">
            <div class="element class">
                <h1>Layout</h1>
                <small style="display: block; text-align: right">                </small>
                <p class="short_description"></p>
                <div class="details">
                    <div class="long_description">
                    </div>
                    <table class="table table-bordered">                                <tr>
                                    <th>package                                    </th>
                                    <td><p>Default</p>
                                    </td>
                                </tr>                    </table>

                    <h3><i class="icon-custom icon-method"></i> Methods</h3>                        <a id="method___construct"></a>
                        <div class="element clickable methodpublic method___construct" data-toggle="collapse" data-target=".method___construct .collapse">
                            <h2>Create a new Layout.</h2>
                            <pre>__construct(array $layout = array())</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$layout</h4>
                                                <code>array</code><p></p>
                                            </div>                                </div>
                            </div>

                        </div>                        <a id="method_getHeight"></a>
                        <div class="element clickable methodpublic method_getHeight" data-toggle="collapse" data-target=".method_getHeight .collapse">
                            <h2>Get Height.</h2>
                            <pre>getHeight(): \PhpOffice\PhpSpreadsheet\Chart\number</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Response</h3>
                                        <code>\PhpOffice\PhpSpreadsheet\Chart\number</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_getLayoutTarget"></a>
                        <div class="element clickable methodpublic method_getLayoutTarget" data-toggle="collapse" data-target=".method_getLayoutTarget .collapse">
                            <h2>Get Layout Target.</h2>
                            <pre>getLayoutTarget(): string</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Response</h3>
                                        <code>string</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_getShowBubbleSize"></a>
                        <div class="element clickable methodpublic method_getShowBubbleSize" data-toggle="collapse" data-target=".method_getShowBubbleSize .collapse">
                            <h2>Get show bubble size.</h2>
                            <pre>getShowBubbleSize(): boolean</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Response</h3>
                                        <code>boolean</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_getShowCatName"></a>
                        <div class="element clickable methodpublic method_getShowCatName" data-toggle="collapse" data-target=".method_getShowCatName .collapse">
                            <h2>Get show category name.</h2>
                            <pre>getShowCatName(): boolean</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Response</h3>
                                        <code>boolean</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_getShowLeaderLines"></a>
                        <div class="element clickable methodpublic method_getShowLeaderLines" data-toggle="collapse" data-target=".method_getShowLeaderLines .collapse">
                            <h2>Get show leader lines.</h2>
                            <pre>getShowLeaderLines(): boolean</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Response</h3>
                                        <code>boolean</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_getShowLegendKey"></a>
                        <div class="element clickable methodpublic method_getShowLegendKey" data-toggle="collapse" data-target=".method_getShowLegendKey .collapse">
                            <h2>Get show legend key.</h2>
                            <pre>getShowLegendKey(): boolean</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Response</h3>
                                        <code>boolean</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_getShowPercent"></a>
                        <div class="element clickable methodpublic method_getShowPercent" data-toggle="collapse" data-target=".method_getShowPercent .collapse">
                            <h2>Get show percentage.</h2>
                            <pre>getShowPercent(): boolean</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Response</h3>
                                        <code>boolean</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_getShowSerName"></a>
                        <div class="element clickable methodpublic method_getShowSerName" data-toggle="collapse" data-target=".method_getShowSerName .collapse">
                            <h2>Get show data series name.</h2>
                            <pre>getShowSerName(): boolean</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Response</h3>
                                        <code>boolean</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_getShowVal"></a>
                        <div class="element clickable methodpublic method_getShowVal" data-toggle="collapse" data-target=".method_getShowVal .collapse">
                            <h2>Get show value.</h2>
                            <pre>getShowVal(): boolean</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Response</h3>
                                        <code>boolean</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_getWidth"></a>
                        <div class="element clickable methodpublic method_getWidth" data-toggle="collapse" data-target=".method_getWidth .collapse">
                            <h2>Get Width.</h2>
                            <pre>getWidth(): \PhpOffice\PhpSpreadsheet\Chart\number</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Response</h3>
                                        <code>\PhpOffice\PhpSpreadsheet\Chart\number</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_getXMode"></a>
                        <div class="element clickable methodpublic method_getXMode" data-toggle="collapse" data-target=".method_getXMode .collapse">
                            <h2>Get X-Mode.</h2>
                            <pre>getXMode(): string</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Response</h3>
                                        <code>string</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_getXPosition"></a>
                        <div class="element clickable methodpublic method_getXPosition" data-toggle="collapse" data-target=".method_getXPosition .collapse">
                            <h2>Get X-Position.</h2>
                            <pre>getXPosition(): \PhpOffice\PhpSpreadsheet\Chart\number</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Response</h3>
                                        <code>\PhpOffice\PhpSpreadsheet\Chart\number</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_getYMode"></a>
                        <div class="element clickable methodpublic method_getYMode" data-toggle="collapse" data-target=".method_getYMode .collapse">
                            <h2>Get Y-Mode.</h2>
                            <pre>getYMode(): string</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Response</h3>
                                        <code>string</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_getYPosition"></a>
                        <div class="element clickable methodpublic method_getYPosition" data-toggle="collapse" data-target=".method_getYPosition .collapse">
                            <h2>Get Y-Position.</h2>
                            <pre>getYPosition(): \PhpOffice\PhpSpreadsheet\Chart\number</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Response</h3>
                                        <code>\PhpOffice\PhpSpreadsheet\Chart\number</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_setHeight"></a>
                        <div class="element clickable methodpublic method_setHeight" data-toggle="collapse" data-target=".method_setHeight .collapse">
                            <h2>Set Height.</h2>
                            <pre>setHeight(float $value): \PhpOffice\PhpSpreadsheet\Chart\Layout</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$value</h4>
                                                <code>float</code><p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code><a href="../classes/PhpOffice.PhpSpreadsheet.Chart.Layout.html">\PhpOffice\PhpSpreadsheet\Chart\Layout</a></code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_setLayoutTarget"></a>
                        <div class="element clickable methodpublic method_setLayoutTarget" data-toggle="collapse" data-target=".method_setLayoutTarget .collapse">
                            <h2>Set Layout Target.</h2>
                            <pre>setLayoutTarget(string $value): \PhpOffice\PhpSpreadsheet\Chart\Layout</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$value</h4>
                                                <code>string</code><p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code><a href="../classes/PhpOffice.PhpSpreadsheet.Chart.Layout.html">\PhpOffice\PhpSpreadsheet\Chart\Layout</a></code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_setShowBubbleSize"></a>
                        <div class="element clickable methodpublic method_setShowBubbleSize" data-toggle="collapse" data-target=".method_setShowBubbleSize .collapse">
                            <h2>Set show bubble size
Specifies that the bubble size should be shown in data labels.</h2>
                            <pre>setShowBubbleSize(boolean $value): \PhpOffice\PhpSpreadsheet\Chart\Layout</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$value</h4>
                                                <code>boolean</code><p><p>Show bubble size</p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code><a href="../classes/PhpOffice.PhpSpreadsheet.Chart.Layout.html">\PhpOffice\PhpSpreadsheet\Chart\Layout</a></code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_setShowCatName"></a>
                        <div class="element clickable methodpublic method_setShowCatName" data-toggle="collapse" data-target=".method_setShowCatName .collapse">
                            <h2>Set show cat name
Specifies that the category name should be shown in data labels.</h2>
                            <pre>setShowCatName(boolean $value): \PhpOffice\PhpSpreadsheet\Chart\Layout</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$value</h4>
                                                <code>boolean</code><p><p>Show cat name</p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code><a href="../classes/PhpOffice.PhpSpreadsheet.Chart.Layout.html">\PhpOffice\PhpSpreadsheet\Chart\Layout</a></code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_setShowLeaderLines"></a>
                        <div class="element clickable methodpublic method_setShowLeaderLines" data-toggle="collapse" data-target=".method_setShowLeaderLines .collapse">
                            <h2>Set show leader lines
Specifies that leader lines should be shown in data labels.</h2>
                            <pre>setShowLeaderLines(boolean $value): \PhpOffice\PhpSpreadsheet\Chart\Layout</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$value</h4>
                                                <code>boolean</code><p><p>Show leader lines</p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code><a href="../classes/PhpOffice.PhpSpreadsheet.Chart.Layout.html">\PhpOffice\PhpSpreadsheet\Chart\Layout</a></code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_setShowLegendKey"></a>
                        <div class="element clickable methodpublic method_setShowLegendKey" data-toggle="collapse" data-target=".method_setShowLegendKey .collapse">
                            <h2>Set show legend key
Specifies that legend keys should be shown in data labels.</h2>
                            <pre>setShowLegendKey(boolean $value): \PhpOffice\PhpSpreadsheet\Chart\Layout</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$value</h4>
                                                <code>boolean</code><p><p>Show legend key</p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code><a href="../classes/PhpOffice.PhpSpreadsheet.Chart.Layout.html">\PhpOffice\PhpSpreadsheet\Chart\Layout</a></code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_setShowPercent"></a>
                        <div class="element clickable methodpublic method_setShowPercent" data-toggle="collapse" data-target=".method_setShowPercent .collapse">
                            <h2>Set show percentage
Specifies that the percentage should be shown in data labels.</h2>
                            <pre>setShowPercent(boolean $value): \PhpOffice\PhpSpreadsheet\Chart\Layout</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$value</h4>
                                                <code>boolean</code><p><p>Show percentage</p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code><a href="../classes/PhpOffice.PhpSpreadsheet.Chart.Layout.html">\PhpOffice\PhpSpreadsheet\Chart\Layout</a></code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_setShowSerName"></a>
                        <div class="element clickable methodpublic method_setShowSerName" data-toggle="collapse" data-target=".method_setShowSerName .collapse">
                            <h2>Set show ser name
Specifies that the series name should be shown in data labels.</h2>
                            <pre>setShowSerName(boolean $value): \PhpOffice\PhpSpreadsheet\Chart\Layout</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$value</h4>
                                                <code>boolean</code><p><p>Show series name</p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code><a href="../classes/PhpOffice.PhpSpreadsheet.Chart.Layout.html">\PhpOffice\PhpSpreadsheet\Chart\Layout</a></code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_setShowVal"></a>
                        <div class="element clickable methodpublic method_setShowVal" data-toggle="collapse" data-target=".method_setShowVal .collapse">
                            <h2>Set show val
Specifies that the value should be shown in data labels.</h2>
                            <pre>setShowVal(boolean $value): \PhpOffice\PhpSpreadsheet\Chart\Layout</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$value</h4>
                                                <code>boolean</code><p><p>Show val</p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code><a href="../classes/PhpOffice.PhpSpreadsheet.Chart.Layout.html">\PhpOffice\PhpSpreadsheet\Chart\Layout</a></code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_setWidth"></a>
                        <div class="element clickable methodpublic method_setWidth" data-toggle="collapse" data-target=".method_setWidth .collapse">
                            <h2>Set Width.</h2>
                            <pre>setWidth(float $value): \PhpOffice\PhpSpreadsheet\Chart\Layout</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$value</h4>
                                                <code>float</code><p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code><a href="../classes/PhpOffice.PhpSpreadsheet.Chart.Layout.html">\PhpOffice\PhpSpreadsheet\Chart\Layout</a></code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_setXMode"></a>
                        <div class="element clickable methodpublic method_setXMode" data-toggle="collapse" data-target=".method_setXMode .collapse">
                            <h2>Set X-Mode.</h2>
                            <pre>setXMode(string $value): \PhpOffice\PhpSpreadsheet\Chart\Layout</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$value</h4>
                                                <code>string</code><p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code><a href="../classes/PhpOffice.PhpSpreadsheet.Chart.Layout.html">\PhpOffice\PhpSpreadsheet\Chart\Layout</a></code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_setXPosition"></a>
                        <div class="element clickable methodpublic method_setXPosition" data-toggle="collapse" data-target=".method_setXPosition .collapse">
                            <h2>Set X-Position.</h2>
                            <pre>setXPosition(float $value): \PhpOffice\PhpSpreadsheet\Chart\Layout</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$value</h4>
                                                <code>float</code><p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code><a href="../classes/PhpOffice.PhpSpreadsheet.Chart.Layout.html">\PhpOffice\PhpSpreadsheet\Chart\Layout</a></code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_setYMode"></a>
                        <div class="element clickable methodpublic method_setYMode" data-toggle="collapse" data-target=".method_setYMode .collapse">
                            <h2>Set Y-Mode.</h2>
                            <pre>setYMode(string $value): \PhpOffice\PhpSpreadsheet\Chart\Layout</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$value</h4>
                                                <code>string</code><p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code><a href="../classes/PhpOffice.PhpSpreadsheet.Chart.Layout.html">\PhpOffice\PhpSpreadsheet\Chart\Layout</a></code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_setYPosition"></a>
                        <div class="element clickable methodpublic method_setYPosition" data-toggle="collapse" data-target=".method_setYPosition .collapse">
                            <h2>Set Y-Position.</h2>
                            <pre>setYPosition(float $value): \PhpOffice\PhpSpreadsheet\Chart\Layout</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$value</h4>
                                                <code>float</code><p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code><a href="../classes/PhpOffice.PhpSpreadsheet.Chart.Layout.html">\PhpOffice\PhpSpreadsheet\Chart\Layout</a></code><p></p>                                </div>
                            </div>

                        </div>                        <h3><i class="icon-custom icon-property"></i> Properties</h3>                            <a id="property_layoutTarget"> </a>
                            <div class="element clickable propertyprivate property_layoutTarget" data-toggle="collapse" data-target=".property_layoutTarget .collapse">
                                <h2>layoutTarget.</h2>
                                <pre>layoutTarget :string</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code>string</code>                                    </div>
                                </div>
                            </div>                            <a id="property_xMode"> </a>
                            <div class="element clickable propertyprivate property_xMode" data-toggle="collapse" data-target=".property_xMode .collapse">
                                <h2>X Mode.</h2>
                                <pre>xMode :string</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code>string</code>                                    </div>
                                </div>
                            </div>                            <a id="property_yMode"> </a>
                            <div class="element clickable propertyprivate property_yMode" data-toggle="collapse" data-target=".property_yMode .collapse">
                                <h2>Y Mode.</h2>
                                <pre>yMode :string</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code>string</code>                                    </div>
                                </div>
                            </div>                            <a id="property_xPos"> </a>
                            <div class="element clickable propertyprivate property_xPos" data-toggle="collapse" data-target=".property_xPos .collapse">
                                <h2>X-Position.</h2>
                                <pre>xPos :float</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code>float</code>                                    </div>
                                </div>
                            </div>                            <a id="property_yPos"> </a>
                            <div class="element clickable propertyprivate property_yPos" data-toggle="collapse" data-target=".property_yPos .collapse">
                                <h2>Y-Position.</h2>
                                <pre>yPos :float</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code>float</code>                                    </div>
                                </div>
                            </div>                            <a id="property_width"> </a>
                            <div class="element clickable propertyprivate property_width" data-toggle="collapse" data-target=".property_width .collapse">
                                <h2>width.</h2>
                                <pre>width :float</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code>float</code>                                    </div>
                                </div>
                            </div>                            <a id="property_height"> </a>
                            <div class="element clickable propertyprivate property_height" data-toggle="collapse" data-target=".property_height .collapse">
                                <h2>height.</h2>
                                <pre>height :float</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code>float</code>                                    </div>
                                </div>
                            </div>                            <a id="property_showLegendKey"> </a>
                            <div class="element clickable propertyprivate property_showLegendKey" data-toggle="collapse" data-target=".property_showLegendKey .collapse">
                                <h2>show legend key
Specifies that legend keys should be shown in data labels.</h2>
                                <pre>showLegendKey :boolean</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code>boolean</code>                                    </div>
                                </div>
                            </div>                            <a id="property_showVal"> </a>
                            <div class="element clickable propertyprivate property_showVal" data-toggle="collapse" data-target=".property_showVal .collapse">
                                <h2>show value
Specifies that the value should be shown in a data label.</h2>
                                <pre>showVal :boolean</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code>boolean</code>                                    </div>
                                </div>
                            </div>                            <a id="property_showCatName"> </a>
                            <div class="element clickable propertyprivate property_showCatName" data-toggle="collapse" data-target=".property_showCatName .collapse">
                                <h2>show category name
Specifies that the category name should be shown in the data label.</h2>
                                <pre>showCatName :boolean</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code>boolean</code>                                    </div>
                                </div>
                            </div>                            <a id="property_showSerName"> </a>
                            <div class="element clickable propertyprivate property_showSerName" data-toggle="collapse" data-target=".property_showSerName .collapse">
                                <h2>show data series name
Specifies that the series name should be shown in the data label.</h2>
                                <pre>showSerName :boolean</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code>boolean</code>                                    </div>
                                </div>
                            </div>                            <a id="property_showPercent"> </a>
                            <div class="element clickable propertyprivate property_showPercent" data-toggle="collapse" data-target=".property_showPercent .collapse">
                                <h2>show percentage
Specifies that the percentage should be shown in the data label.</h2>
                                <pre>showPercent :boolean</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code>boolean</code>                                    </div>
                                </div>
                            </div>                            <a id="property_showBubbleSize"> </a>
                            <div class="element clickable propertyprivate property_showBubbleSize" data-toggle="collapse" data-target=".property_showBubbleSize .collapse">
                                <h2>show bubble size.</h2>
                                <pre>showBubbleSize :boolean</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code>boolean</code>                                    </div>
                                </div>
                            </div>                            <a id="property_showLeaderLines"> </a>
                            <div class="element clickable propertyprivate property_showLeaderLines" data-toggle="collapse" data-target=".property_showLeaderLines .collapse">
                                <h2>show leader lines
Specifies that leader lines should be shown for the data label.</h2>
                                <pre>showLeaderLines :boolean</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code>boolean</code>                                    </div>
                                </div>
                            </div>                </div>
            </div>
            <a id="\PhpOffice\PhpSpreadsheet\Chart\Layout"></a>
            <ul class="breadcrumb">
                <li><a href="../index.html"><i class="icon-custom icon-class"></i></a></li>
    <li><span class="divider">\</span><a href="../namespaces/PhpOffice.PhpSpreadsheet.Chart.html">Chart</a></li>
                <li class="active"><span class="divider">\</span><a href="../classes/PhpOffice.PhpSpreadsheet.Chart.Layout.html">Layout</a></li>
            </ul>
        </div>
    </div>    </div>    <footer class="span12">
            Template is built using <a href="http://twitter.github.com/bootstrap/">Twitter Bootstrap 2</a> and icons provided by
            <a href="http://glyphicons.com/">Glyphicons</a>.<br/>
            Documentation is powered by <a href="http://www.phpdoc.org/">phpDocumentor</a> and<br/>
            generated onFri, 14 Feb 2020 19:36:56 +0000.<br/>
    </footer></body>
</html>
